Subject: Re: bug#31737: 26.1.50; Gnus does not use mailutils movemail

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jun 2018 18:07:57 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 14 Jun 2018 16:37:59 +0200
> 
> > We could install on emacs-26 something much simpler: just call
> > "movemail", without assuming it's in exec-directory, if
> > mail-source-movemail-program is nil, and don't use the "--emacs"
> > option.
> 
> Even simpler

LGTM, thanks.

> (Iʼm tempted to put ""Don't merge to master." in the ChangeLog).

Yes, please.

> +** Gnus
> +
> +---
> +*** Mailutils movemail will now be used if found at runtime.
> +The default value of mail-source-movemail-program is now "movemail".
> +This ensures that the movemail program from GNU Mailutils will be used
> +if found in 'exec-path', even if it was not found at build time.

I'd add a sentence here saying that if the first "movemail" on PATH is
not what the user wants, she should customize
mail-source-movemail-program to point to the absolute file name of the
program she does want.